<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: handle Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">handle Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for handle:</div>
<div class="dyncontent">
<div class="center"><img src="classhandle__inherit__graph.png" border="0" usemap="#handle_inherit__map" alt="Inheritance graph"/></div>
<map name="handle_inherit__map" id="handle_inherit__map">
<area shape="rect" id="node2" href="class_filter_nth_order.html" title="FilterNthOrder" alt="" coords="113,132,216,159"/>
<area shape="rect" id="node3" href="class_i_controller.html" title="Base class for all the controllers implementations. " alt="" coords="124,183,205,209"/>
<area shape="rect" id="node10" href="class_i_model.html" title="Base class for all the models implementations. " alt="" coords="134,335,195,361"/>
<area shape="rect" id="node15" href="class_simulation.html" title="Class used to do simulations. " alt="" coords="123,385,206,412"/>
<area shape="rect" id="node4" href="class_d_d_o_b___controller.html" title="DDOB_Controller" alt="" coords="297,5,418,32"/>
<area shape="rect" id="node5" href="class_d_o_b___c_l___controller.html" title="Implementation of a DOB CL controller. " alt="" coords="290,56,425,83"/>
<area shape="rect" id="node6" href="class_d_o_b___o_l___controller.html" title="Implementation of a DOB OL controller. " alt="" coords="289,107,425,133"/>
<area shape="rect" id="node7" href="class_p_i_d___controller.html" title="Implementation of a PID controller. " alt="" coords="304,157,411,184"/>
<area shape="rect" id="node8" href="class_p_i_d___controller__transparency.html" title="Implementation of a PID controller. " alt="" coords="264,208,451,235"/>
<area shape="rect" id="node9" href="class_p_i_d___controller__with___a_f.html" title="Implementation of a PID controller. " alt="" coords="277,259,437,285"/>
<area shape="rect" id="node11" href="class_current.html" title="Current controlled motor with a SEA. " alt="" coords="325,309,389,336"/>
<area shape="rect" id="node12" href="class_current_transparency.html" title="CurrentTransparency" alt="" coords="287,360,428,387"/>
<area shape="rect" id="node13" href="class_voltage.html" title="Voltage controlled motor with a SEA. " alt="" coords="325,411,390,437"/>
<area shape="rect" id="node14" href="class_whitney.html" title="Whitney" alt="" coords="323,461,391,488"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>Models/<a class="el" href="_i_model_8m.html">IModel.m</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
